# Maintainer: Doug Newgard <scimmia at archlinux dot info>
# Contributor: Jiachen Yang <farseerfc@gmail.com>
# Contributor: Miguel Revilla <yo@miguelrevilla.com>
# Contributor: Ferik <djferik at gmail dot com>


if [ "${CARCH}" = "x86_64" ]; then
_pkgname=qt5
else
_pkgname=qt4
fi
pkgname=masterpdfeditor-${_pkgname}
pkgver=4.3.89
pkgrel=6
pkgdesc='A complete solution for creation and editing PDF files - Qt5 version'
url='https://code-industry.net/free-pdf-editor'
arch=('i686' 'x86_64')
license=('custom')
makedepends=('imagemagick')
source=("https://metainfo.manjariando.com.br/${pkgname}/com.masterpdfeditor4.metainfo.xml"
        'masterpdfeditor.desktop')
source_i686=("http://code-industry.net/public/master-pdf-editor-${pkgver}_i386.tar.gz")
source_x86_64=("https://code-industry.net/public/master-pdf-editor-${pkgver}_qt5.amd64.tar.gz")
sha1sums=('a646dd0748d0530304a5be5788a065ba6653a24b'
          'da1b3c80189d6f92cc7bd23ec89050326762dac3')
sha1sums_i686=('3f7b1a8d293814b2e6e6cf6d9d6b79522ff0a2f9')
sha1sums_x86_64=('254e05e0845ff73b7c932280c2bbe8d22aa4934c')

package() {
    depends=('gcc-libs' 'glibc' 'sane')
    depends_i686=('qt4')
    depends_x86_64=('qt5-base' 'qt5-svg')
    conflicts=('masterpdfeditor-qt4' 'masterpdfeditor-free')

    install -d "${pkgdir}"{/opt/,/usr/bin/,/usr/share/applications/}
    cp -a --no-preserve=ownership master-pdf-editor-${pkgver%%.*} "${pkgdir}/opt/"
    ln -s /opt/master-pdf-editor-${pkgver%%.*}/masterpdfeditor${pkgver%%.*} -t "${pkgdir}/usr/bin/"
    install -Dm644 master-pdf-editor-${pkgver%%.*}/license.txt -t "${pkgdir}/usr/share/licenses/${pkgname}/"

    # Appstream
    install -Dm64 "${srcdir}/com.masterpdfeditor4.metainfo.xml" "${pkgdir}/usr/share/metainfo/com.masterpdfeditor4.metainfo.xml"
    install -Dm64 "${srcdir}/masterpdfeditor.desktop" "${pkgdir}/usr/share/applications/com.masterpdfeditor4.desktop"
    install -Dm644 "${pkgdir}/opt/master-pdf-editor-4/masterpdfeditor4.png" "${pkgdir}/usr/share/pixmaps/masterpdfeditor4.png"

    for size in 22 24 32 48 64 128; do
        mkdir -p "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps"
        convert "${pkgdir}/opt/master-pdf-editor-4/masterpdfeditor4.png" -resize "${size}x${size}" \
            "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/masterpdfeditor4.png"
    done
}
